TRANSLATION Arbre2;

LINELENGTH 78;

RULES

   Arbre2 :
	BEGIN
	create '\12' after;
	END;

   Sous_arbre :
	BEGIN
	END;

   Noeud :
	BEGIN
	if within 1 Sous_arbre create '   ';
	if within 2 Sous_arbre create '      ';
	if within 3 Sous_arbre create '         ';
	if within 4 Sous_arbre create '            ';
	if within 5 Sous_arbre create '               ';
	if within 6 Sous_arbre create '                  ';
	if within >6 Sous_arbre create '                    ';
	create '\12' after;
	END;

#include "Text_ASCII.inc"
END
